Package org.silverpeas.mobile.client.common.navigation

## Class PageHistory

- java.lang.Object
- - org.silverpeas.mobile.client.common.navigation.PageHistory

- All Implemented Interfaces:
    `com.google.gwt.event.logical.shared.ValueChangeHandler<String>`, `com.google.gwt.event.shared.EventHandler`

      public class PageHistory
      extends Object
      implements com.google.gwt.event.logical.shared.ValueChangeHandler<String>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PageHistory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PageContent` | `back()` |
    `void` | `clear()` |
    `PageContent` | `getCurrent()` |
    `static PageHistory` | `getInstance()` |
    `void` | `goBackToFirst()` |
    `void` | `goTo​(PageContent page)` |
    `void` | `gotoToFullScreen​(String token)` |
    `boolean` | `isVisible​(PageContent page)` |
    `void` | `onValueChange​(com.google.gwt.event.logical.shared.ValueChangeEvent<String> event)` |
    `int` | `size()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageHistory

          public PageHistory()

  - ### Method Detail

    - #### getInstance

          public static PageHistory getInstance()

    - #### gotoToFullScreen

          public void gotoToFullScreen​(String token)

    - #### goTo

          public void goTo​(PageContent page)

    - #### back

          public PageContent back()

    - #### getCurrent

          public PageContent getCurrent()

    - #### size

          public int size()

    - #### goBackToFirst

          public void goBackToFirst()

    - #### clear

          public void clear()

    - #### isVisible

          public boolean isVisible​(PageContent page)

    - #### onValueChange

          public void onValueChange​(com.google.gwt.event.logical.shared.ValueChangeEvent<String> event)

      Specified by:
        `onValueChange` in interface `com.google.gwt.event.logical.shared.ValueChangeHandler<String>`